From 325a4d05121f5b89aec0a7960433727375f500bd Mon Sep 17 00:00:00 2001
From: Akashdeep Dhar <akashdeep.dhar@gmail.com>
Date: Apr 06 2021 12:35:59 +0000
Subject: [PATCH 15/15] Corrected static file inclusion in setup.py


Signed-off-by: Akashdeep Dhar <akashdeep.dhar@gmail.com>

---

diff --git a/setup.py b/setup.py
index 1eb0399..82c36b2 100644
--- a/setup.py
+++ b/setup.py
@@ -31,11 +31,47 @@ There are a number of project hosted on  fedorahosted.org which are participatin
 
 A new contributor can thus consult this page and find a place/task she/he would like to help with, contact the person in charge and get started.
 ''',
-    data_files = [('/etc/fedora-gather-easyfix/', [ 'template.html' ] ),
-            ('/usr/share/fedora-gather-easyfix/css/', ['css/jquery-ui-1.8.17.custom.css']),
-            ('/usr/share/fedora-gather-easyfix/js/', ['js/jquery-1.7.1.js',
-                        'js/jquery-1.7.1.min.js', 'js/jquery.ui.core.js', 'js/jquery.ui.tabs.js',
-								'js/jquery.ui.widget.js'])],
+    data_files = [
+        (
+            '/etc/fedora-gather-easyfix/',
+            [
+                'template.html'
+            ]
+        ),
+        (
+            '/usr/share/fedora-gather-easyfix/data/css3/',
+            [
+                'data/css3/bootstrap.css',
+                'data/css3/easyfont.css'
+            ]
+        ),
+        (
+            '/usr/share/fedora-gather-easyfix/data/jscn/',
+            [
+                'data/jscn/bootstrap.bundle.js',
+                'data/jscn/search.js'
+            ]
+        ),
+        (
+            '/usr/share/fedora-gather-easyfix/data/font/',
+            [
+                'data/font/cond-bdit.ttf',
+                'data/font/cond-bold.ttf',
+                'data/font/cond-ital.ttf',
+                'data/font/cond-rlar.ttf',
+                'data/font/sans-bdit.ttf',
+                'data/font/sans-bold.ttf',
+                'data/font/sans-ital.ttf',
+                'data/font/sans-rlar.ttf'
+            ]
+        ),
+        (
+            '/usr/share/fedora-gather-easyfix/data/logo/',
+            [
+                'data/logo/mainlogo.png'
+            ]
+        )
+    ],
     version = __version__,
     author = 'Pierre-Yves Chibon',
     author_email = 'pingou@pingoured.fr',
@@ -45,4 +81,4 @@ A new contributor can thus consult this page and find a place/task she/he would 
     download_url = '',
     url = 'https://fedorahosted.org/fedora-gather-easyfix/',
     scripts=['gather_easyfix.py'],
-    )
+)

